Update Cart Product Trackstar Tags
curl --request PUT \
--url https://production.trackstarhq.com/cart/products/{product_id}/trackstar-tags \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
]
}
'import requests
url = "https://production.trackstarhq.com/cart/products/{product_id}/trackstar-tags"
payload = { "trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }] }
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}]})
};
fetch('https://production.trackstarhq.com/cart/products/{product_id}/trackstar-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "product_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"name": "product_name",
"sku": "sku",
"gtin": "gtin",
"parent_product_id": "<string>",
"is_kit": true,
"active": true,
"image_url": "https://example.com/image.jpg",
"price": 10,
"unit_cost": 10,
"inventory": 10,
"inventory_by_warehouse_id": {
"warehouse_id_1": 6,
"warehouse_id_2": 4
},
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"tags": [
"tag_0"
],
"categories": [
"Apparel",
"Shoes",
"Running"
],
"external_system_url": "https://example.com/cartproduct/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Products
Update Cart Product Trackstar Tags
Update the trackstar tags for the specified cart product.
PUT
/
cart
/
products
/
{product_id}
/
trackstar-tags
Update Cart Product Trackstar Tags
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
- Base Schema
- Amazon
- BigCommerce
- eBay
- Etsy
- Faire
- Groupon
- Magento (Adobe Commerce)
- Mirakl
- NuOrder
- Overstock
- Cart Sandbox
- Shopify
- Squarespace
- TikTok
- Walmart
- Wayfair
- Wix
- WooCommerce
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
Example:
["tag1", "tag2", { "tag3": "value3" }]⌘I